 .report-wrapper {
     /* width: 1100px; */
     /* margin: 30px auto; */
     /* background: #fff;
            padding: 40px; */
     font-family: 'Segoe UI', Arial, sans-serif;
     margin: 0;
     background: #fff;
 }

 /* Header */
 .top-header {
     display: flex;
     justify-content: space-between;
     align-items: center;
 }

 .main-title {
     font-size: 32px;
     font-weight: 700;
 }

 .main-title span {
     border-bottom: 3px solid #000;
 }

 .main-date {
     margin-top: 15px;
     font-size: 18px;
 }

 .main-date b {
     text-decoration: underline;
 }

 .main-logo {
     width: 160px;
 }

 /* Info Table */
 .info-box {
     margin-top: 30px;
     border: 2px solid #000;
     border-radius: 10px;
     overflow: hidden;
 }

 .info-box table {
     width: 100%;
     border-collapse: collapse;
     margin: 0;
 }

 .info-box thead {
     background: #d60000;
     color: #fff;
 }

 .info-box th {
     padding: 16px;
     font-size: 18px;
     border-right: 2px solid #000;
     background: transparent !important;
 }

 .info-box th:last-child {
     border-right: none;
 }

 .info-box td {
     padding: 14px;
     font-size: 17px;
     border-top: 2px solid #000;
     border-right: 2px solid #000;
     color: #000;
     font-weight: 600;
 }

 .info-box td:last-child {
     border-right: none;
 }

 /* Performance Section */
 .performance-section {
     display: flex;
     justify-content: space-between;
     margin-top: 50px;
 }

 .performance-left {
     width: 60%;
 }

 .performance-left h2 {
     text-align: left !important;
     font-size: 24px;
     margin-bottom: 10px;
 }

 .performance-left span {
     font-weight: 500;
 }

 .performance-left p {
     line-height: 1.6;
     font-size: 16px;
 }

 /* Circular Score */
 .score-container {
     text-align: center;
 }

 /* .circle {
            width: 200px;
            height: 200px;
            border-radius: 50%;
            background: conic-gradient(#43c172 67%, #d9d9d9 0);
            display: flex;
            align-items: center;
            justify-content: center;
            font-size: 42px;
            font-weight: bold;
            color: #43c172;
        }

        .score-text {
            margin-top: 10px;
            color: #f4a000;
            font-weight: 600;
            font-size: 18px;
        } */

 .circle-wrapper {
     text-align: center;
     /* background: #e6e6e6; */
     padding: 40px;
     padding-right: 90px;
 }

 .progress-circle {
     position: relative;
     display: inline-block;
 }

 svg {
     transform: rotate(-90deg);
 }

 circle {
     fill: none;
     stroke-linecap: round;
 }

 .bg {
     stroke: #d9d9d9;
 }

 .progress {
     /* stroke: #46c26f; */
     stroke-dasharray: 408;
     /* 2 * π * r (65) */
     stroke-dashoffset: 408;
     transition: stroke-dashoffset 1s ease;
 }

.progress.excellent{
 stroke: #2e7d32;
}

.progress.good{
 stroke: #4caf50;
}
.progress.average{
 stroke: #fbc02d;
}

.progress.below-average{
 stroke: #f57c00;
}

.progress.poor{
 stroke: #ef4444;
}
.progress.very-poor{
 stroke: #d32f2f;
}

 .circle-text {
     position: absolute;
     top: 50%;
     left: 50%;
     transform: translate(-50%, -50%);
 }

 .percent {
     font-size: 32px;
     font-weight: bold;
     /* color: #46c26f; */
 }
 .percent.excellent{
 color: #2e7d32;
}

.percent.good{
 color: #4caf50;
}
.percent.average{
 color: #fbc02d;
}

.percent.below-average{
 color: #f57c00;
}

.percent.poor{
 color: #ef4444;
}
.percent.very-poor{
 color: #d32f2f;
}

 .status-text {
     margin-top: 15px;
     font-weight: bold;
     color: #ff7a00;
     font-size: 18px;
 }


 /* Bar Graph */
 .graph-section {
     margin-top: 60px;
 }

 /* .graph-title {
            font-size: 24px;
            font-weight: 600;
            margin-bottom: 25px;
        }

        .graph {
            display: flex;
            align-items: flex-end;
            gap: 25px;
            height: 250px;
            padding-left: 20px;
        }

        .bar {
            width: 45px;
            border-radius: 6px 6px 0 0;
        } */

 .performance-section {
     background: #fff;
     /* padding: 40px;
    max-width: 1000px;
    margin: auto; */
 }

 .top-bar {
     display: flex;
     justify-content: space-between;
     align-items: center;
 }

 .logo {
     height: 40px;
 }

 /* Chart */
 .chart-container {
     position: relative;
     margin-top: 40px;
     max-width: 950px;
     margin: 30px auto;
 }

 /* .chart {
    display: flex;
    align-items: flex-end;
    gap: 20px;
    height: 250px;
    padding-left: 40px;
} */

 .chart {
     display: flex;
     align-items: flex-end;
     gap: 20px;
     /* height: 250px; */
     padding-left: 5px;
     overflow: visible;
     margin-left: 18px;
     border-left: 1px solid #b5657678;
     border-bottom: 1px solid #b5657678;
 }


 /* .bar {
    width: 40px;
    height: calc(var(--value) * 20px);
    background: var(--color);
    border-radius: 6px 6px 0 0;
    position: relative;
} */

 .bar {
     width: 40px;
     height: calc(var(--value) * 20px);
     background: var(--color);
     border-radius: 6px 6px 0 0;
     position: relative;
     cursor: pointer;
     transition: 0.3s ease;
     z-index: 1;
 }

 /* Slight lift effect */
 /* .bar:hover {
    transform: translateY(-5px);
} */

 .bar:hover {
     z-index: 1000;
     /* bring active bar above others */
 }

 .bar:hover .bar-card {
     opacity: 1;
     visibility: visible;
 }


 /* Card */
 /* .bar-card {
    position: absolute;
    bottom: 110%;
    left: 50%;
    transform: translateX(-50%);
    width: 220px;
    background: #ffffff;
    padding: 12px;
    border-radius: 8px;
    box-shadow: 0 8px 20px rgba(0,0,0,0.15);
    font-size: 13px;
    opacity: 0;
    visibility: hidden;
    transition: 0.3s ease;
    z-index: 10;
    text-align: left;
} */
 .bar-card {
     position: absolute;
     bottom: 100%;
     left: 50%;
     transform: translateX(-50%);
     width: 240px;
     background: #ffffff;
     padding: 15px;
     border-radius: 12px;
     box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);
     font-size: 14px;

     opacity: 0;
     visibility: hidden;
     transition: 0.3s ease;

     z-index: 999;
     /* IMPORTANT */
 }

 .bar-card h4 {
    font-size: 15px;
     font-weight: 600;
 }

 .bar-card p {
     margin: 0 0 5px;
 }

 /* Arrow */
 .bar-card::after {
     content: "";
     position: absolute;
     bottom: -8px;
     left: 50%;
     transform: translateX(-50%);
     border-width: 8px;
     border-style: solid;
     border-color: #fff transparent transparent transparent;
 }

 /* Show card on hover */
 .bar:hover .bar-card {
     opacity: 1;
     visibility: visible;
 }

 .bar span {
     position: absolute;
     bottom: -25px;
     left: 50%;
     transform: translateX(-50%);
     font-weight: bold;
 }

 .bar.empty {
     background: transparent;
 }
 /* gap: 16px; */
 .y-axis {
     position: absolute;
     left: 0;
     top: 0;
     /* height: 250px; */
     display: flex;
     gap: 72px;
    
     flex-direction: column;
     /* justify-content: space-between; */
     font-size: 14px;
 }

 /* Legend */
 .legend-grid {
     display: grid;
     grid-template-columns: repeat(2, 1fr);
     gap: 15px 40px;
     margin-top: 60px;
 }

 .legend-item {
     display: flex;
     align-items: center;
     gap: 10px;
     font-size: 14px;
 }

 .legend-color {
     width: 28px;
     height: 28px;
     color: #fff;
     font-weight: bold;
     display: flex;
     align-items: center;
     justify-content: center;
     border-radius: 4px;
 }


 .b1 {
     height: 120px;
     background: #b53b3b;
 }

 .b2 {
     height: 40px;
     background: #3c6e47;
 }

 .b3 {
     height: 200px;
     background: #2e4e7e;
 }

 .b4 {
     height: 40px;
     background: #c07a8b;
 }

 .b5 {
     height: 40px;
     background: #c7b14a;
 }

 .b6 {
     height: 200px;
     background: #d0763b;
 }

 .b7 {
     height: 0px;
     background: #999;
 }

 .b8 {
     height: 200px;
     background: #4d8f8f;
 }

 .b9 {
     height: 160px;
     background: #d0836b;
 }

 .b10 {
     height: 200px;
     background: #6c7048;
 }

 .b11 {
     height: 200px;
     background: #9a83a8;
 }

 .b12 {
     height: 200px;
     background: #3c6666;
 }

 /* Legend */
 .legend {
     margin-top: 40px;
     display: grid;
     grid-template-columns: 1fr 1fr;
     gap: 15px 80px;
 }

 .legend-item {
     display: flex;
     align-items: center;
     gap: 15px;
     font-size: 17px;
 }

 .legend-box {
     width: 30px;
     height: 30px;
     border-radius: 4px;
 }

 /* Footer */
 .footer {
     margin-top: 70px;
     padding-top: 40px;
     border-top: 1px solid #ddd;
     display: flex;
     justify-content: space-between;
     text-align: center;
 }

 .footer .role {
     width: 30%;
 }

 .role-name {
     font-weight: 600;
     margin-top: 10px;
 }

 .section-title {
     margin-top: 40px;
     font-size: 22px;
     font-weight: bold;
 }

 .test-block {
     margin-top: 35px;
 }

 .test-title {
     font-size: 18px;
     font-weight: bold;
 }

 .test-title span {
     font-weight: normal;
     color: #777;
 }

 .result {
     font-weight: bold;
     color: #d32f2f;
 }

 .result.good {
     color: #2e7d32;
 }

 .scale-bar {
     display: flex;
     margin-top: 15px;
     border-radius: 6px;
     overflow: hidden;
 }

 .scale-bar div {
     flex: 1;
     padding: 10px;
     text-align: center;
     font-size: 14px;
     color: #fff;
     font-weight: 600;
 }

.severely-obese-color {
     color: #d32f2f!important;
 }
 .severely-obese-bg {
     background: #d32f2f;
 }
.obese-color {
     color: #f57c00!important;
 }
 .obese-bg {
     background: #f57c00;
 }
.underweight-color {
     color: #f57c00!important;
 }
 .underweight-bg {
     background: #f57c00;
 }

 .overweight-color {
     color: #fbc02d!important;
 }
 .overweight-bg {
     background: #fbc02d;
     color: #000;
 }

 .normal-bg {
     background: #4caf50;
 }
 .normal-color {
     color: #4caf50!important;
 }

 /* .darkgreen {
     background: #2e7d32;
 } */
.bmi-pointer {
    position: relative;
    height: 0;
}
.excellent-color{
 color: #2e7d32!important;
}
.excellent-bg{
 background: #2e7d32;
}

.good-color{
 color: #4caf50!important;
}
.good-bg{
 background: #4caf50;
}
.average-color{
 color: #fbc02d!important;
}
.average-bg{
 background: #fbc02d;
}

.below-average-color{
 color: #f57c00!important;
}
.below-average-bg{
 background: #f57c00;
}

.poor-color{
 color: #ef4444!important;
}
.poor-bg{
 background: #ef4444;
}
.very-poor-color{
 color: #d32f2f!important;
}
.very-poor-bg{
 background: #d32f2f;
}

.malnourished-color {
     color: #7f0000!important;
 }
.malnourished-bg {
     background: #7f0000;
 }

 .scale-numbers {
     display: flex;
     justify-content: space-between;
     margin-top: 8px;
     font-size: 13px;
     color: #666;
 }

 .arrow-line {
     margin-top: 15px;
     display: flex;
     align-items: center;
 }

 .arrow-line span {
     flex: 1;
     height: 2px;
     background: #999;
 }

 .arrow-line p {
     margin: 0 10px;
     font-size: 14px;
     color: #666;
 }

.card-ul {
     margin-top: 20px;
     padding-left: 20px;
 }

 .card-ul li {
     margin-bottom: 20px;
     line-height: 1.6;
 }

 .card-ul li strong {
     font-size: 18px;
 }
 /* ul {
     margin-top: 20px;
     padding-left: 20px;
 }

 li {
     margin-bottom: 20px;
     line-height: 1.6;
 }

 li strong {
     font-size: 18px;
 } */


 .section-title-ul {
     margin-top: 20px;
     padding-left: 20px;
 }

 .section-title-ul li {
     margin-bottom: 20px;
     line-height: 1.6;
 }

 .section-title-ul li strong {
     font-size: 18px;
 }

 /* What to do next */
 .next-box {
     margin-top: 40px;
     background: linear-gradient(to right, #f6d6d6, #f1f1f1);
     padding: 20px 25px;
     border-left: 8px solid #d32f2f;
     border-radius: 12px;
 }

 .next-box h2 {
     text-align: left !important;
     margin: 0 0 8px 0;
     font-size: 20px !important;
 }

 .next-box p {
     margin: 0;
     color: #555;
 }

 /* Grid */
 .grid {
     margin-top: 30px;
     display: grid;
     grid-template-columns: 1fr 1fr;
     gap: 25px;
 }

 .card {
     padding: 22px 22px 22px 26px;
     border-radius: 14px;
     background: #eee;
     box-shadow: 0 2px 6px rgba(0, 0, 0, 0.05);
 }

 .card h3 {
     margin-top: 0;
     font-size: 18px;
     font-weight: 700;
 }

 .card ul {
     padding-left: 18px;
     margin: 10px 0 0 0;
 }

 .card li {
     margin-bottom: 10px;
     line-height: 1.5;
 }

 /* Individual Card Styles */
 .card-blue {
     background: #e3f2fd;
     border-left: 6px solid #1e88e5;
 }

 .card-green {
     background: #e8f5e9;
     border-left: 6px solid #2e7d32;
 }

 .card-orange {
     background: #fff3e0;
     border-left: 6px solid #fb8c00;
 }

 .card-red {
     background: #fdecea;
     border-left: 6px solid #e53935;
 }

 @media (max-width: 768px) {
   .main-title {
    font-size: 16px;
    font-weight: 700;
}

.top-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
}
.info-box {
    overflow: scroll;
}
 
.info-box th {
    padding: 5px;
    font-size: 16px;
    /* width: 66px; */
}
.info-box tr {
    display: flex;
    margin-bottom: 0px;
}
.info-box td {
    padding: 5px;
    font-size: 14px;
    /* width: 66px; */
}

.circle-wrapper {
    padding: 0px;
    padding-right: 0px;
}
.status-text {
    font-size: 16px;
     padding: 0px 45px;
}
.top-bar h2 {
    font-size: 22px;
}
.performance-left h2 {
    font-size: 18px!important;
    font-weight: 600;
}
.performance-left span {
    font-weight: 500;
    color: #7A7A7A;
}
.legend-item {
    font-size: 15px;
}
.legend-color {
    width: 0px;
    height: 0px;
    padding: 15px;
}
div#fitness-report-view {
    max-height: 550px;
    max-width: 100%;
    padding: 0;
    overflow-x: hidden;
    overflow-y: auto;
}

.performance-left {
    width: 100%;
}

.scale-bar-wrap {
    width: 100%;
    overflow: scroll;
}
.scale-bar {
    overflow: unset;
    /* width: 148vh; */
}
/* .scale-numbers {
    width: 148vh;
} */
.grid {
    margin-top: 30px;
    display: unset; 
    
}
.grid .card:first-child {
    margin-top: 15px;
}
.grid .card {
    margin-bottom: 15px;
}
/* .bmi-pointer {
    width: 148vh;
} */

.scale-bar-wrap {
    overflow-x: auto;      /* enable horizontal scroll */
    overflow-y: hidden;    /* disable vertical scroll */
    -webkit-overflow-scrolling: touch;
}

.scale-bar,
.scale-numbers {
    display: flex;
    min-width: 700px;   /* important: force width bigger than mobile */
}

.scale-bar > div {
    flex: 1;
    text-align: center;
    padding: 10px 5px;
    white-space: nowrap;
}

/* .scale-numbers span {
    flex: 1;
    text-align: center;
    white-space: nowrap;
} */

/* .bmi-pointer {
    position: absolute;
    top: 35px; 
    transform: translateX(-50%);
} */
 .close-report {
    float: right;
    font-size: 22px;
    cursor: pointer;
    position: relative;
    bottom: 38px;
}
}